package com.zhiqiyun.open.core.enmus;


public enum AccountType implements IBaseEnum {
    /**
     *
     */
    email(1, "邮箱"), mp(2, "手机号");

    private final int value;
    private final String text;

    AccountType(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static AccountType valueOf(int value) {
        AccountType[] values = AccountType.values();
        for (AccountType type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }


    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
